Bug 1122016 - [abrt] libreoffice-core: _gtk_file_system_model_update_file: soffice.bin killed by SIGABRT
Summary: [abrt] libreoffice-core: _gtk_file_system_model_update_file: soffice.bin kill...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:108b7b0d9b576b64d7829d8bf22...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 11:10 UTC by Frank Dittrich
Modified: 2015-06-29 21:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:40:55 UTC


Attachments (Terms of Use)
File: backtrace (50.92 KB, text/plain)
2014-07-22 11:10 UTC, Frank Dittrich
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-22 11:10 UTC, Frank Dittrich
no flags Details
File: core_backtrace (48.10 KB, text/plain)
2014-07-22 11:10 UTC, Frank Dittrich
no flags Details
File: dso_list (23.46 KB, text/plain)
2014-07-22 11:10 UTC, Frank Dittrich
no flags Details
File: environ (1.62 KB, text/plain)
2014-07-22 11:10 UTC, Frank Dittrich
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-22 11:10 UTC, Frank Dittrich
no flags Details
File: maps (112.01 KB, text/plain)
2014-07-22 11:10 UTC, Frank Dittrich
no flags Details
File: open_fds (540 bytes, text/plain)
2014-07-22 11:10 UTC, Frank Dittrich
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2014-07-22 11:11 UTC, Frank Dittrich
no flags Details
File: var_log_messages (221 bytes, text/plain)
2014-07-22 11:11 UTC, Frank Dittrich
no flags Details

Description Frank Dittrich 2014-07-22 11:10:41 UTC
Description of problem:
I had one LibreOffice Calc document open with 4 unsaved Sheets, copied &opasted the contents of 1 Sheet into a new LibreOffice Calc document, saved this one in CSV format with {tab} as field delimiter, no text delimiters.

When looking at the resulting CSV file with less, I noticed that those column headings that consisted of more than one word (displayed with a line break in LibreOffice Calc) hat been enclosed in '"' characters and included line breaks.

I opened and changed the CSV file using vim (deleted the column headings).
Then I noticed the LibreOffice Calc crash.

Version-Release number of selected component:
libreoffice-core-4.2.5.2-6.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc --splash-pipe=5
crash_function: _g_log_abort
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at /lib64/libglib-2.0.so.0
 #5 gtk_file_system_model_sort.part at /lib64/libgtk-x11-2.0.so.0
 #6 _gtk_file_system_model_update_file at /lib64/libgtk-x11-2.0.so.0
 #7 gtk_file_system_model_query_done at /lib64/libgtk-x11-2.0.so.0
 #8 g_task_return_now at /lib64/libgio-2.0.so.0
 #9 complete_in_idle_cb at /lib64/libgio-2.0.so.0
 #11 g_main_context_iterate.isra at /lib64/libglib-2.0.so.0
 #13 gtk_dialog_run at /lib64/libgtk-x11-2.0.so.0
 #14 RunDialog::run() at /usr/lib64/libreoffice/program/libvclplug_gtklo.so
 #15 SalGtkFilePicker::execute() at /usr/lib64/libreoffice/program/libvclplug_gtklo.so

Comment 1 Frank Dittrich 2014-07-22 11:10:46 UTC
Created attachment 919872 [details]
File: backtrace

Comment 2 Frank Dittrich 2014-07-22 11:10:47 UTC
Created attachment 919873 [details]
File: cgroup

Comment 3 Frank Dittrich 2014-07-22 11:10:50 UTC
Created attachment 919874 [details]
File: core_backtrace

Comment 4 Frank Dittrich 2014-07-22 11:10:52 UTC
Created attachment 919875 [details]
File: dso_list

Comment 5 Frank Dittrich 2014-07-22 11:10:53 UTC
Created attachment 919876 [details]
File: environ

Comment 6 Frank Dittrich 2014-07-22 11:10:54 UTC
Created attachment 919877 [details]
File: limits

Comment 7 Frank Dittrich 2014-07-22 11:10:58 UTC
Created attachment 919878 [details]
File: maps

Comment 8 Frank Dittrich 2014-07-22 11:10:59 UTC
Created attachment 919879 [details]
File: open_fds

Comment 9 Frank Dittrich 2014-07-22 11:11:01 UTC
Created attachment 919880 [details]
File: proc_pid_status

Comment 10 Frank Dittrich 2014-07-22 11:11:02 UTC
Created attachment 919881 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:26:05 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 21:40:55 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.